curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/bill-payments' \
--header 'IdempotencyKey: {{$guid}}' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 691.71,
"barCode": "43596938200000691710001112000000200000309361"
}'
{
"id": "1694017754",
"identifierNumber": "3023061406106689529",
"barCode": "43596938200000691710001112000000200000309361",
"digitableLine": "43590001161200000020300003093614693820000069171",
"status": "PAID",
"dueDate": "2023-06-15T19:30:00",
"createdAt": "2023-09-06T16:29:14.950Z",
"originalAmount": 691.71,
"paidAmount": 691.71,
"paymentCalculation": {
"rebateAmount": 0.0,
"interesetAmount": 0.0,
"fineAmount": 0.0,
"discountAmount": 0.0,
"chargedAmount": 691.71,
"minimumPaymentAmount": 691.71,
"maximumPaymentAmount": 691.71
},
"beneficiary": {
"document": "11468192000181",
"name": "DEL CRED NP FUNDO DE INVESTIMENTO",
"fantasyName": "DEL CRED NP FUNDO DE INVESTIMENTO",
"type": "LEGAL"
},
"issuer": {
"ispb": "38224857",
"name": "DELCRED SCD S.A.",
"nameFantasy": "DELBANK"
}
}
Pagamento de contas
Pagar boleto ou conta
Pague um boleto, conta de consumo ou tributo informando o valor e o código de barras ou a linha digitável.
POST
/
baas
/
api
/
v1
/
bill-payments
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/bill-payments' \
--header 'IdempotencyKey: {{$guid}}' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 691.71,
"barCode": "43596938200000691710001112000000200000309361"
}'
{
"id": "1694017754",
"identifierNumber": "3023061406106689529",
"barCode": "43596938200000691710001112000000200000309361",
"digitableLine": "43590001161200000020300003093614693820000069171",
"status": "PAID",
"dueDate": "2023-06-15T19:30:00",
"createdAt": "2023-09-06T16:29:14.950Z",
"originalAmount": 691.71,
"paidAmount": 691.71,
"paymentCalculation": {
"rebateAmount": 0.0,
"interesetAmount": 0.0,
"fineAmount": 0.0,
"discountAmount": 0.0,
"chargedAmount": 691.71,
"minimumPaymentAmount": 691.71,
"maximumPaymentAmount": 691.71
},
"beneficiary": {
"document": "11468192000181",
"name": "DEL CRED NP FUNDO DE INVESTIMENTO",
"fantasyName": "DEL CRED NP FUNDO DE INVESTIMENTO",
"type": "LEGAL"
},
"issuer": {
"ispb": "38224857",
"name": "DELCRED SCD S.A.",
"nameFantasy": "DELBANK"
}
}
Para o passo a passo completo, veja o guia Pagar boleto ou conta.
O pagamento é assíncrono. A resposta
200 indica que o pagamento foi aceito para processamento, mesmo com status igual a PAID. Não há webhook de confirmação. Se o pagamento não for liquidado, o valor volta para a sua conta e o time da Delfinance entra em contato.Headers
string
required
Sua API key.
string
required
Número da conta Delfinance.
string
required
GUID único por requisição. Evita pagamentos duplicados em caso de retry.
Body
number
required
Valor a pagar. Use o
chargedAmount da consulta ou, se o documento aceitar pagamento parcial, um valor entre minimumPaymentAmount e maximumPaymentAmount.string
Código de barras. Obrigatório se você não enviar
digitableLine.string
Linha digitável. Obrigatória se você não enviar
barCode.Response
string
Identificador do pagamento.
string
Identificador do documento.
string
Código de barras.
string
Linha digitável.
string
Status do pagamento.
string
Data e hora de vencimento do documento.
string
Data e hora em que o pagamento foi criado, em ISO 8601.
number
Valor original do documento.
number
Valor enviado no pagamento.
object
Dados do beneficiário.
object
Dados do banco emissor.
curl --location 'https://apisandbox.delbank.com.br/baas/api/v1/bill-payments' \
--header 'IdempotencyKey: {{$guid}}' \
--header 'Content-Type: application/json' \
--header 'x-delbank-api-key: {{apiKey}}' \
--header 'x-delfinance-account-id: {{accountId}}' \
--data '{
"amount": 691.71,
"barCode": "43596938200000691710001112000000200000309361"
}'
{
"id": "1694017754",
"identifierNumber": "3023061406106689529",
"barCode": "43596938200000691710001112000000200000309361",
"digitableLine": "43590001161200000020300003093614693820000069171",
"status": "PAID",
"dueDate": "2023-06-15T19:30:00",
"createdAt": "2023-09-06T16:29:14.950Z",
"originalAmount": 691.71,
"paidAmount": 691.71,
"paymentCalculation": {
"rebateAmount": 0.0,
"interesetAmount": 0.0,
"fineAmount": 0.0,
"discountAmount": 0.0,
"chargedAmount": 691.71,
"minimumPaymentAmount": 691.71,
"maximumPaymentAmount": 691.71
},
"beneficiary": {
"document": "11468192000181",
"name": "DEL CRED NP FUNDO DE INVESTIMENTO",
"fantasyName": "DEL CRED NP FUNDO DE INVESTIMENTO",
"type": "LEGAL"
},
"issuer": {
"ispb": "38224857",
"name": "DELCRED SCD S.A.",
"nameFantasy": "DELBANK"
}
}

